package cz.muni.fi.pb162.cviceni;


/**
 * Rozhrani Node reprezentuje uzel grafu
 * @author Zuzana Neverilova
 * @version 2. 12. 2005
 */

public interface Node
{
    /**
     * Vrati jmeno uzlu
     * @return jmeno uzlu
     */
    String getName();
    /**
     * Porovnavani uzlu. Uzly jsou stejne prave tehdy, kdyz 
     * jsou oba uzly a maji stejne jmeno.
     * @param o objekt k porovnani
     */
    boolean equals(Object o);
    /**
     * Hashcode uzlu vrati hashCode jeho jmena.
     * @return hashcode uzlu
     */
    int hashCode();
    /**
     * Textova reprezentace uzlu
     * @return jmeno uzlu
     */
    String toString();
    
    
    
    
}
